descrstart = $
LbStyles	dd offset nLBS_NOSEL,LBS_NOSEL,offset dLBS_NOSEL
dd offset nLBS_NOTIFY,LBS_NOTIFY,offset dLBS_NOTIFY
dd offset nLBS_SORT,LBS_SORT,offset dLBS_SORT
dd offset nLBS_NOREDRAW,LBS_NOREDRAW,offset dLBS_NOREDRAW
dd offset nLBS_MULTIPLESEL,LBS_MULTIPLESEL,offset dLBS_MULTIPLESEL
dd offset nLBS_OWNERDRAWFIXED,LBS_OWNERDRAWFIXED,offset dLBS_OWNERDRAWFIXED
dd offset nLBS_OWNERDRAWVARIABLE,LBS_OWNERDRAWVARIABLE,offset dLBS_OWNERDRAWVARIABLE
dd offset nLBS_HASSTRINGS,LBS_HASSTRINGS,offset dLBS_HASSTRINGS
dd offset nLBS_USETABSTOPS,LBS_USETABSTOPS,offset dLBS_USETABSTOPS
dd offset nLBS_NOINTEGRALHEIGHT,LBS_NOINTEGRALHEIGHT,offset dLBS_NOINTEGRALHEIGHT
dd offset nLBS_MULTICOLUMN,LBS_MULTICOLUMN,offset dLBS_MULTICOLUMN
dd offset nLBS_WANTKEYBOARDINPUT,LBS_WANTKEYBOARDINPUT,offset dLBS_WANTKEYBOARDINPUT
dd offset nLBS_EXTENDEDSEL,LBS_EXTENDEDSEL,offset dLBS_EXTENDEDSEL
dd offset nLBS_DISABLENOSCROLL,LBS_DISABLENOSCROLL,offset dLBS_DISABLENOSCROLL
dd offset nLBS_NODATA,LBS_NODATA,offset dLBS_NODATA
dd offset nLBS_STANDARD,LBS_STANDARD,offset  dLBS_STANDARD
descrend = $
LbMem equ (descrend - descrstart)/12
nLBS_NOSEL db 'LBS_NOSEL',0
nLBS_NOTIFY 	db 'LBS_NOTIFY',0
nLBS_SORT 	db 'LBS_SORT',0
nLBS_NOREDRAW 	db 'LBS_NOREDRAW',0
nLBS_MULTIPLESEL 	db 'LBS_MULTIPLESEL',0
nLBS_OWNERDRAWFIXED 	db 'LBS_OWNERDRAWFIXED',0
nLBS_OWNERDRAWVARIABLE 	db 'LBS_OWNERDRAWVARIABLE',0
nLBS_HASSTRINGS 	db 'LBS_HASSTRINGS',0
nLBS_USETABSTOPS 	db 'LBS_USETABSTOPS',0
nLBS_NOINTEGRALHEIGHT 	db 'LBS_NOINTEGRALHEIGHT',0
nLBS_MULTICOLUMN 	db 'LBS_MULTICOLUMN',0
nLBS_WANTKEYBOARDINPUT 	db 'LBS_WANTKEYBOARDINPUT',0
nLBS_EXTENDEDSEL 	db 'LBS_EXTENDEDSEL',0
nLBS_DISABLENOSCROLL 	db 'LBS_DISABLENOSCROLL',0
nLBS_NODATA 	db 'LBS_NODATA',0
nLBS_STANDARD 	db 'LBS_STANDARD',0

dLBS_NOSEL 	db 'Specifies that the list box contains items that can be ',13,10
	db 'viewed but not selected. ',13,10,0

dLBS_NOTIFY	db 'Notifies the parent window with an input message whenever the user ',13,10
	db 'clicks or double-clicks a string in the list box.',13,10,0

dLBS_SORT 	db 'Sorts strings in the list box alphabetically.',0

dLBS_NOREDRAW  db 'Specifies that the list box s appearance is not updated when changes',13,10
                                 db 'are made. You can change this style by sending a ',13,10
	                 db 'WM_SETREDRAW message at any time.',13,10,0

dLBS_MULTIPLESEL db 'Turns string selection on or off each time the user clicks or double-clicks a string',13,10
	                   db 'in the list box. The user can select any number of strings.',13,10,0

dLBS_OWNERDRAWFIXED	db 'Specifies that the owner of the list box is responsible for drawing its contents and',13,10
                                	db 'that the items in the list box are the same height. The owner window receives a ',13,10
	                                db 'WM_MEASUREITEM message when the list box is created and a WM_DRAWNITEM',13,10
	                                db 'message when a visual aspect of the list box has shanged.',13,10,0



dLBS_OWNERDRAWVARIABLE	db 'Specifies that the owner of the list box is responsible for drawing its contents and',13,10
	db 'that the items in the list box are variable in height. The owner window receives a',13,10
	db 'WM_MEASUREITEM message for each item in the combo box when the combo',13,10
	db 'box is created and a WM_DRAWITEM message when a visual aspect of the ',13,10
	db 'combo box has changed.',0

dLBS_HASSTRINGS	db 'Specifies that a list lox contains items consisting of strings. The list box maintains',13,10
	db 'the memory and addresses for the strings so that the application can use the',13,10
	db 'LB_GETTEXT message to retrive the text for a particular item. By default, all list',13,10
	db 'boxes exept owner-drawn list boxes have this style. You can create an owner-drawn',13,10
	db 'list box either with or without this style.',0


dLBS_USETABSTOPS 	db 'Enables a list box to recognize and expand tab characters when drawing its strings.',13,10
	db 'The default tab positions are 32 dialog box units. A dialog box unit is a horizontal or',13,10
	db 'vertical distance. One horizontal dialog box unit equal to 0.25 of the current dialog',13,10
	db 'box base-width unit. Windows calulates these units based on the height and width',13,10
	db 'of the current system font. The GetDialogBaseUnits function returns the',13,10
	db 'current dialog box base units in pixels.',0

dLBS_NOINTEGRALHEIGHT	db 'Specifies that the size of the list box is exactly the size specified by the ',13,10
	db 'application when it created the list box. Normally, Windows sizes a list box so that',13,10
	db 'the list box does not display partial items.',0

dLBS_MULTICOLUMN	db 'Specifies a multicolumn list box that is scrolled horizontally. The',13,10
	db 'LB_SETCOLUMNWIDTH message sets the width of the columns.',0

dLBS_WANTKEYBOARDINPUT	db 'Specifies that the owner of the list box receives WM_VKEYTOITEM messages',13,10
	db 'whenever the user presses a key and the list box has the input focus. This enables',13,10
	db 'an application to perform special processing on the keyboard input.',0

dLBS_EXTENDEDSEL 	db 'Allows multiple items to be selected by usig the SHIFT key and the mouse or',13,10
	db 'special key combinations.',0

dLBS_DISABLENOSCROLL 	db 'Shows a disabled vertical scroll bar for the list box when the box does not contain',13,10
	db 'enogh items to scroll. If you do not specify this style, the scroll bar is hidden when the',13,10
	db 'list box does not contain enough items.',0

dLBS_NODATA 	db 'Obsolete.',0

dLBS_STANDARD	db 'Sorts strings in the list box alphabetically. The parent window receives an input',13,10
	db 'message whenever the user clicks or double clicks a string. The list box has',13,10
	db 'borders on all sides.',0

ClassStyles dd offset nCS_VREDRAW,CS_VREDRAW, offset dCS_VREDRAW
 dd offset nCS_HREDRAW,CS_HREDRAW, offset dCS_HREDRAW
 dd offset nCS_KEYCVTWINDOW,CS_KEYCVTWINDOW, offset dCS_KEYCVTWINDOW
 dd offset nCS_DBLCLKS,CS_DBLCLKS, offset dCS_DBLCLKS
 dd offset nCS_OWNDC,CS_OWNDC, offset dCS_OWNDC
 dd offset nCS_CLASSDC,CS_CLASSDC, offset dCS_CLASSDC
 dd offset nCS_PARENTDC,CS_PARENTDC, offset dCS_PARENTDC
 dd offset nCS_NOKEYCVT,CS_NOKEYCVT, offset dCS_NOKEYCVT
 dd offset nCS_NOCLOSE,CS_NOCLOSE, offset dCS_NOCLOSE
 dd offset nCS_SAVEBITS,CS_SAVEBITS, offset dCS_SAVEBITS
 dd offset nCS_BYTEALIGNCLIENT,CS_BYTEALIGNCLIENT, offset dCS_BYTEALIGNCLIENT
 dd offset nCS_BYTEALIGNWINDOW,CS_BYTEALIGNWINDOW, offset dCS_BYTEALIGNWINDOW
 dd offset nCS_PUBLICCLASS,CS_PUBLICCLASS, offset dCS_PUBLICCLASS
 dd offset nCS_GLOBALCLASS,CS_GLOBALCLASS, offset dCS_GLOBALCLASS

dCS_VREDRAW 	db 'Redraws the entire window if a movement or size',13,10
	db ' adjustment changes the height of the client area.',0

dCS_HREDRAW 	db 'Redraws the entire window if a movement or size ',13,10
	db 'adjustment changes the width of the client area.',0

dCS_KEYCVTWINDOW db 0
dCS_DBLCLKS 	db 'Sends double-click messages to the window ',13,10
	db 'procedure when the user double-clicks the mouse ',13,10
	db 'while the cursor is within a window belonging to the class.',0

dCS_OWNDC 	db 'Allocates a unique device context for each window in the class.',0

dCS_CLASSDC 	db 'Allocates one device context to be shared by all windows ',13,10
	db 'in the class. Because window classes are process specific, ',13,10
	db 'it is possible for multiple threads of a multithreaded application ',13,10
	db 'to create a window of the same class. It is also possible for ',13,10
	db 'the threads to attempt to use the device context simultaneously. ',13,10
	db 'When this happens, the operating system allows only one of the ',13,10
	db 'threads to successfully finish its drawing operation.',0

dCS_PARENTDC 	db 'Specifies that child windows inherit their parent ',13,10
	db 'windows device context. Specifying CS_PARENTDC ',13,10
	db 'enhances an applications performance. When an ',13,10
	db 'application calls the GetDC function, passing the ',13,10
	db 'handle of a window that belongs to a class with ',13,10
	db 'the CS_PARENTDC style, the operating system ',13,10
	db 'searches for a device context that has been precalculated ',13,10
	db 'for the windows parent window. If all child windows of ',13,10
	db 'a particular parent window specify this style, the system ',13,10
	db 'need not recalculate a device context for any of the child windows.',0

dCS_NOKEYCVT db 0
dCS_NOCLOSE 	db 'Disables the Close command on the System menu.',0

dCS_SAVEBITS 	db 'Saves, as a bitmap, the portion of the screen image',13,10
	db 'obscured by a window. Windows uses the saved',13,10
	db 'bitmap to re-create the screen image when the',13,10
	db 'window is removed. Windows displays the bitmap',13,10
	db 'at its original location and does not send WM_PAINT',13,10
	db 'messages to windows obscured by the window if the',13,10
	db 'memory used by the bitmap has not been discarded',13,10
	db 'and if other screen actions have not invalidated the',13,10
	db 'stored image. This style is useful for small windows',13,10
	db '(for example, menus or dialog boxes) that are displayed',13,10
	db 'briefly and then removed before other screen activity',13,10
	db 'takes place. This style increases the time required',13,10
	db 'to display the window, because the operating system',13,10
	db 'must first allocate memory to store the bitmap.',0


dCS_BYTEALIGNCLIENT 	db 'Aligns the windows client area on the byte boundary (in the x direction)',13,10
	db 'to enhance performance during drawing operations.',13,10
	db 'This style affects the width of the window and its',13,10
	db 'horizontal position on the display.',0

dCS_BYTEALIGNWINDOW 	db 'Aligns a window on a byte boundary (in the x direction)',13,10
	db 'to enhance performance during operations that',13,10
	db 'involve moving or sizing the window. This style affects',13,10
	db 'the width of the window and its horizontal position on the display.',0

dCS_PUBLICCLASS db 'Allows an application to create a window ',13,10
	db 'of the class regardless of the value of the hInstance parameter ',13,10
	db 'passed to the CreateWindow or CreateWindowEx function. ',13,10
	db 'If you do not specify this style, the hInstance parameter passed ',13,10
	db 'to the CreateWindow (or CreateWindowEx) function must be ',13,10
	db 'the same as the hInstance parameter passed to the RegisterClass function.',13,10
	db 'You can create a global class by creating the window class ',13,10
	db 'in a dynamic-link library (DLL) and listing the name of the DLL ',13,10
	db 'in the registry under the following keys:',13,10
	db 'HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Windows\APPINIT_DLLS',13,10
	db 'Whenever a process starts, the operating system loads the ',13,10
	db 'specified DLLs in the context of the newly started process before ',13,10
	db 'calling the main function in that process. The DLL must register the class ',13,10
	db 'during its initialization procedure and must specify the CS_GLOBALCLASS style.',0
dCS_GLOBALCLASS 	db 'Allows an application to create a window ',13,10
	db 'of the class regardless of the value of the hInstance parameter ',13,10
	db 'passed to the CreateWindow or CreateWindowEx function. ',13,10
	db 'If you do not specify this style, the hInstance parameter passed ',13,10
	db 'to the CreateWindow (or CreateWindowEx) function must be ',13,10
	db 'the same as the hInstance parameter passed to the RegisterClass function.',13,10
	db 'You can create a global class by creating the window class ',13,10
	db 'in a dynamic-link library (DLL) and listing the name of the DLL ',13,10
	db 'in the registry under the following keys:',13,10
	db 'HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Windows\APPINIT_DLLS',13,10
	db 'Whenever a process starts, the operating system loads the ',13,10
	db 'specified DLLs in the context of the newly started process before ',13,10
	db 'calling the main function in that process. The DLL must register the class ',13,10
	db 'during its initialization procedure and must specify the CS_GLOBALCLASS style.',0

nCS_VREDRAW    db 'CS_VREDRAW',0   
nCS_HREDRAW    db 'CS_HREDRAW',0   
nCS_KEYCVTWINDOW    db 'CS_KEYCVTWINDOW',0   
nCS_DBLCLKS    db 'CS_DBLCLKS',0   
nCS_OWNDC    db 'CS_OWNDC',0   
nCS_CLASSDC    db 'CS_CLASSDC',0   
nCS_PARENTDC    db 'CS_PARENTDC',0   
nCS_NOKEYCVT    db 'CS_NOKEYCVT',0   
nCS_NOCLOSE    db 'CS_NOCLOSE',0   
nCS_SAVEBITS    db 'CS_SAVEBITS',0   
nCS_BYTEALIGNCLIENT    db 'CS_BYTEALIGNCLIENT',0   
nCS_BYTEALIGNWINDOW    db 'CS_BYTEALIGNWINDOW',0   
nCS_PUBLICCLASS    db 'CS_PUBLICCLASS',0   
nCS_GLOBALCLASS    db 'CS_GLOBALCLASS',0   
ws_start equ $
WindowStyles dd offset nWS_OVERLAPPED,WS_OVERLAPPED, offset dWS_OVERLAPPED
 dd offset nWS_POPUP,WS_POPUP, offset dWS_POPUP
 dd offset nWS_CHILD,WS_CHILD, offset dWS_CHILD
 dd offset nWS_MINIMIZE,WS_MINIMIZE, offset dWS_MINIMIZE
 dd offset nWS_VISIBLE,WS_VISIBLE, offset dWS_VISIBLE
 dd offset nWS_DISABLED,WS_DISABLED, offset dWS_DISABLED
 dd offset nWS_CLIPSIBLINGS,WS_CLIPSIBLINGS, offset dWS_CLIPSIBLINGS
 dd offset nWS_CLIPCHILDREN,WS_CLIPCHILDREN, offset dWS_CLIPCHILDREN
 dd offset nWS_MAXIMIZE,WS_MAXIMIZE, offset dWS_MAXIMIZE
 dd offset nWS_CAPTION,WS_CAPTION, offset dWS_CAPTION
 dd offset nWS_BORDER,WS_BORDER, offset dWS_BORDER
 dd offset nWS_DLGFRAME,WS_DLGFRAME, offset dWS_DLGFRAME
 dd offset nWS_VSCROLL,WS_VSCROLL, offset dWS_VSCROLL
 dd offset nWS_HSCROLL,WS_HSCROLL, offset dWS_HSCROLL
 dd offset nWS_SYSMENU,WS_SYSMENU, offset dWS_SYSMENU
 dd offset nWS_THICKFRAME,WS_THICKFRAME, offset dWS_THICKFRAME
 dd offset nWS_GROUP,WS_GROUP, offset dWS_GROUP
 dd offset nWS_TABSTOP,WS_TABSTOP, offset dWS_TABSTOP
 dd offset nWS_MINIMIZEBOX,WS_MINIMIZEBOX, offset dWS_MINIMIZEBOX
 dd offset nWS_MAXIMIZEBOX,WS_MAXIMIZEBOX, offset dWS_MAXIMIZEBOX
 dd offset nWS_ACTIVECAPTION,WS_ACTIVECAPTION, offset dWS_ACTIVECAPTION
 dd offset nWS_TILED,WS_TILED, offset dWS_TILED
 dd offset nWS_ICONIC,WS_ICONIC, offset dWS_ICONIC
 dd offset nWS_SIZEBOX,WS_SIZEBOX, offset dWS_SIZEBOX
 dd offset nWS_OVERLAPPEDWINDOW,WS_OVERLAPPEDWINDOW, offset dWS_OVERLAPPEDWINDOW
 dd offset nWS_TILEDWINDOW,WS_TILEDWINDOW, offset dWS_TILEDWINDOW
 dd offset nWS_POPUPWINDOW,WS_POPUPWINDOW, offset dWS_POPUPWINDOW
 dd offset nWS_CHILDWINDOW,WS_CHILDWINDOW, offset dWS_CHILDWINDOW
ws_size equ ($-ws_start)/12
ws_ex_start = $
WindowExStyles dd offset nWS_EX_DLGMODALFRAME,WS_EX_DLGMODALFRAME, offset dWS_EX_DLGMODALFRAME
 dd offset nWS_EX_NOPARENTNOTIFY,WS_EX_NOPARENTNOTIFY, offset dWS_EX_NOPARENTNOTIFY
 dd offset nWS_EX_TOPMOST,WS_EX_TOPMOST, offset dWS_EX_TOPMOST
 dd offset nWS_EX_ACCEPTFILES,WS_EX_ACCEPTFILES, offset dWS_EX_ACCEPTFILES
 dd offset nWS_EX_TRANSPARENT,WS_EX_TRANSPARENT, offset dWS_EX_TRANSPARENT
 dd offset nWS_EX_MDICHILD,WS_EX_MDICHILD, offset dWS_EX_MDICHILD
 dd offset nWS_EX_TOOLWINDOW,WS_EX_TOOLWINDOW, offset dWS_EX_TOOLWINDOW
 dd offset nWS_EX_WINDOWEDGE,WS_EX_WINDOWEDGE, offset dWS_EX_WINDOWEDGE
 dd offset nWS_EX_CLIENTEDGE,WS_EX_CLIENTEDGE, offset dWS_EX_CLIENTEDGE
 dd offset nWS_EX_CONTEXTHELP,WS_EX_CONTEXTHELP, offset dWS_EX_CONTEXTHELP
 dd offset nWS_EX_RIGHT,WS_EX_RIGHT, offset dWS_EX_RIGHT
 dd offset nWS_EX_LEFT,WS_EX_LEFT, offset dWS_EX_LEFT
 dd offset nWS_EX_RTLREADING,WS_EX_RTLREADING, offset dWS_EX_RTLREADING
 dd offset nWS_EX_LTRREADING,WS_EX_LTRREADING, offset dWS_EX_LTRREADING
 dd offset nWS_EX_LEFTSCROLLBAR,WS_EX_LEFTSCROLLBAR, offset dWS_EX_LEFTSCROLLBAR
 dd offset nWS_EX_RIGHTSCROLLBAR,WS_EX_RIGHTSCROLLBAR, offset dWS_EX_RIGHTSCROLLBAR
 dd offset nWS_EX_CONTROLPARENT,WS_EX_CONTROLPARENT, offset dWS_EX_CONTROLPARENT
 dd offset nWS_EX_STATICEDGE,WS_EX_STATICEDGE, offset dWS_EX_STATICEDGE
 dd offset nWS_EX_APPWINDOW,WS_EX_APPWINDOW, offset dWS_EX_APPWINDOW
 dd offset nWS_EX_OVERLAPPEDWINDOW,WS_EX_OVERLAPPEDWINDOW, offset dWS_EX_OVERLAPPEDWINDOW
 dd offset nWS_EX_PALETTEWINDOW,WS_EX_PALETTEWINDOW, offset dWS_EX_PALETTEWINDOW

ws_ex_size equ ($-ws_ex_start)/12

dWS_OVERLAPPED 	db 'Creates an overlapped window. ',13,10
	db 'An overlapped window has a title bar ',13,10
	db 'and a border. Same as the WS_TILED style.',0

dWS_POPUP 	db 'Creates a pop-up window. ',13,10
	db 'This style cannot be used with the WS_CHILD style.',0

dWS_CHILD db 'Creates a child window. This style cannot ',13,10
	db 'be used with the WS_POPUP style.',0

dWS_MINIMIZE 	db 'Creates a window that is initially minimized. ',13,10
	db 'Same as the WS_MINIMIZE style.',0

dWS_VISIBLE 	db 'Creates a window that is initially visible.',0

dWS_DISABLED 	db 'Creates a window that is initially disabled. ',13,10
	db 'A disabled window cannot receive input from the user.',0

dWS_CLIPSIBLINGS 	db 'Clips child windows relative to each other; ',13,10
	db 'that is, when a particular child window receives ',13,10
	db 'a WM_PAINT message, the WS_CLIPSIBLINGS ',13,10
	db 'style clips all other overlapping child windows ',13,10
	db 'out of the region of the child window to be updated. ',13,10
	db 'If WS_CLIPSIBLINGS is not specified and child windows ',13,10
	db 'overlap, it is possible, when drawing within the client area ',13,10
	db 'of a child window, to draw within the client area of a ',13,10
	db 'neighboring child window.',0

dWS_CLIPCHILDREN 	db 'Excludes the area occupied by child windows ',13,10
	db 'when drawing occurs within the parent window. ',13,10
	db 'This style is used when creating the parent window.',0

dWS_MAXIMIZE 	db 'Creates a window that is initially maximized.',0

dWS_CAPTION 	db 'Creates a window that has a title bar',13,10
		db '(includes the WS_BORDER style).',0
dWS_BORDER 	db 'Creates a window that has a thin-line border.',0

dWS_DLGFRAME 	db 'Creates a window that has a border ',13,10
	db 'of a style typically used with dialog boxes. ',13,10
	db 'A window with this style cannot have a title bar.',0

dWS_VSCROLL 	db 'Creates a window that has a vertical scroll bar.',0

dWS_HSCROLL 	db 'Creates a window that has a horizontal scroll bar.',0

dWS_SYSMENU 	db 'Creates a window that has a',13,10
	db 'System-menu box in its title bar.',13,10
	db 'The WS_CAPTION style must also be specified.',0

dWS_THICKFRAME 	db 'Creates a window that has a sizing border. ',13,10
	db 'Same as the WS_SIZEBOX style.',0

dWS_GROUP 	db 'Specifies the first control of a group of controls.',13,10
	db 'The user can change the keyboard focus from one',13,10
	db 'control in the group to the next by using the direction keys. ',13,10
	db 'All controls defined with the WS_GROUP style after the first control ',13,10
	db 'belong to the same group. The next control with the WS_GROUP style',13,10
	db 'ends the group and starts the next group.',0

dWS_TABSTOP 	db 'Specifies a control that can receive',13,10
	db 'the keyboard focus when the user presses the TAB key.',13,10
	db 'Pressing the TAB key changes the keyboard ',13,10
	db 'focus to the next control with the WS_TABSTOP style.',0

dWS_MINIMIZEBOX 	db 'Creates a window that has a Minimize button.',0

dWS_MAXIMIZEBOX 	db 'Creates a window that has a Maximize button.',0

dWS_ACTIVECAPTION 	db 'The window is active.',0

dWS_TILED 	db 'Creates an overlapped window. ',13,10
	db 'An overlapped window has a title bar and a border. ',13,10
	db 'Same as the WS_OVERLAPPED style. ',0

dWS_ICONIC 	db 'Creates a window that is initially minimized. ',13,10
	db 'Same as the WS_MINIMIZE style.',0

dWS_SIZEBOX 	db 'Creates a window that has a sizing border. ',13,10
	db 'Same as the WS_THICKFRAME style.',0

dWS_OVERLAPPEDWINDOW 	db 'Creates an overlapped window with the ',13,10
	db 'WS_OVERLAPPED, WS_CAPTION, ',13,10
	db 'WS_SYSMENU, WS_THICKFRAME, ',13,10
	db 'WS_MINIMIZEBOX, and WS_MAXIMIZEBOX styles. ',13,10
	db 'Same as the WS_TILEDWINDOW style. ',0

dWS_TILEDWINDOW 	db 'Creates an overlapped window with the ',13,10
	db 'WS_OVERLAPPED, WS_CAPTION, ',13,10
	db 'WS_SYSMENU, WS_THICKFRAME, ',13,10
	db 'WS_MINIMIZEBOX, and WS_MAXIMIZEBOX styles. ',13,10
	db 'Same as the WS_OVERLAPPEDWINDOW style. ',0

dWS_POPUPWINDOW 	db 'Creates a pop-up window with ',13,10
	db 'WS_BORDER, WS_POPUP, and WS_SYSMENU styles. ',13,10
	db 'The WS_CAPTION and WS_POPUPWINDOW styles ',13,10
	db 'must be combined to make the System menu visible.',0

dWS_CHILDWINDOW 	db 'Same as the WS_CHILD style.',0

dWS_EX_DLGMODALFRAME 	db 'Creates a window that has a double border;',13,10
	db ' the window can, optionally, be created ',13,10
	db 'with a title bar by specifying the WS_CAPTION style ',13,10
	db 'in the dwStyle parameter.',0

dWS_EX_NOPARENTNOTIFY 	db 'Specifies that a child window created ',13,10
	db 'with this style does not send the WM_PARENTNOTIFY message ',13,10
	db 'to its parent window when it is created or destroyed.',0

dWS_EX_TOPMOST  	db 'Specifies that a window created with ',13,10
	db 'this style should be placed above ',13,10
	db 'all non-topmost windows and should stay above them, ',13,10
	db 'even when the window is deactivated. ',13,10
	db 'To add or remove this style, use the SetWindowPos function.',0

dWS_EX_ACCEPTFILES 	db 'Specifies that a window created with this style ',13,10
	db 'accepts drag-drop files.',0

dWS_EX_TRANSPARENT 	db 'Specifies that a window created with this style ',13,10
	db 'is to be transparent. That is, any windows ',13,10
	db 'that are beneath the window are not obscured ',13,10
	db 'by the window. A window created with this style ',13,10
	db 'receives WM_PAINT messages only after all sibling ',13,10
	db 'windows beneath it have been updated.',0

dWS_EX_MDICHILD 	db 'Creates an MDI child window.',0

dWS_EX_TOOLWINDOW 	db 'Windows 95 only: Creates a tool window;',13,10
	db 'that is, a window intended to be used',13,10
	db 'as a floating toolbar. A tool window has',13,10
	db 'a title bar that is shorter than a normal title bar,',13,10
	db 'and the window title is drawn using a smaller font.',13,10
	db 'A tool window does not appear in the task bar or',13,10
	db 'in the window that appears when the user presses ALT+TAB.',0

dWS_EX_WINDOWEDGE 	db 'Windows 95 only:',13,10
	db 'Specifies that a window has a border with a raised edge.',0

dWS_EX_CLIENTEDGE 	db 'Specifies that a window has a border with a sunken edge.',0

dWS_EX_CONTEXTHELP 	db 'Includes a question mark in the title bar',13,10
	db 'of the window. When the user clicks the question mark,',13,10
	db 'the cursor changes to a question mark with a pointer.',13,10
	db 'If the user then clicks a child window, the child receives',13,10
	db 'a WM_HELP message. The child window should pass',13,10
	db 'the message to the parent window procedure,',13,10
	db 'which should call the WinHelp function using',13,10
	db 'the HELP_WM_HELP command. The Help application',13,10
	db 'displays a pop-up window that typically',13,10
	db 'contains help for the child window.',0

dWS_EX_RIGHT 	db 'Windows 95 only: Window has generic',13,10
	db '"right-aligned" properties. This depends on the window class.',13,10
	db 'This style has an effect only if the shell language is Hebrew,',13,10
	db 'Arabic, or another language that supports reading order alignment;',13,10
	db 'otherwise, the style is ignored and not treated as an error.',0

dWS_EX_LEFT 	db 'Windows 95 only: Window has generic',13,10
	db '"left-aligned" properties. This is the default.',0

dWS_EX_RTLREADING 	db 'Windows 95 only: If the shell language',13,10
	db 'is Hebrew, Arabic, or another language',13,10
	db 'that supports reading order alignment,',13,10
	db 'the window text is displayed using',13,10
	db 'Right to Left reading-order properties.',13,10
	db 'For other languages, the style is ignored',13,10
	db 'and not treated as an error.',0

dWS_EX_LTRREADING 	db 'Windows 95 only: The window text',13,10
	db 'is displayed using Left to Right',13,10
	db 'reading-order properties. This is the default.',0

dWS_EX_LEFTSCROLLBAR 	db 'Windows 95 only: If the shell language',13,10
	db 'is Hebrew, Arabic, or another language',13,10
	db 'that supports reading order alignment,',13,10
	db 'the vertical scroll bar (if present) is to the left of the client area.',13,10
	db 'For other languages, the style is ignored and not treated as an error.',0

dWS_EX_RIGHTSCROLLBAR 	db 'Windows 95 only: Vertical scroll bar',13,10
	db '(if present) is to the right of the client area.',13,10
	db 'This is the default.',0

dWS_EX_CONTROLPARENT 	db 'Windows 95 only: Allows the user',13,10
	db 'to navigate among the child windows',13,10
	db 'of the window by using the TAB key.',0

dWS_EX_STATICEDGE 	db 'Windows 95 only: Creates a window with',13,10
	db 'a three-dimensional border style',13,10
	db 'intended to be used for items that do not accept user input.',0

dWS_EX_APPWINDOW 	db 'Windows 95 only: Forces a top-level window',13,10
	db 'onto the application taskbar when the window is minimized.',0

dWS_EX_OVERLAPPEDWINDOW 	db 'Windows 95 only: Combines the WS_EX_CLIENTEDGE',13,10
	db 'and WS_EX_WINDOWEDGE styles.',0

dWS_EX_PALETTEWINDOW 	db 'Windows 95 only:',13,10
	db 'Combines the WS_EX_WINDOWEDGE,',13,10
	db 'WS_EX_TOOLWINDOW,',13,10
	db 'and WS_EX_TOPMOST styles.',0

nWS_OVERLAPPED    db 'WS_OVERLAPPED',0   
nWS_POPUP    db 'WS_POPUP',0   
nWS_CHILD    db 'WS_CHILD',0   
nWS_MINIMIZE    db 'WS_MINIMIZE',0   
nWS_VISIBLE    db 'WS_VISIBLE',0   
nWS_DISABLED    db 'WS_DISABLED',0   
nWS_CLIPSIBLINGS    db 'WS_CLIPSIBLINGS',0   
nWS_CLIPCHILDREN    db 'WS_CLIPCHILDREN',0   
nWS_MAXIMIZE    db 'WS_MAXIMIZE',0   
nWS_CAPTION    db 'WS_CAPTION',0   
nWS_BORDER    db 'WS_BORDER',0   
nWS_DLGFRAME    db 'WS_DLGFRAME',0   
nWS_VSCROLL    db 'WS_VSCROLL',0   
nWS_HSCROLL    db 'WS_HSCROLL',0   
nWS_SYSMENU    db 'WS_SYSMENU',0   
nWS_THICKFRAME    db 'WS_THICKFRAME',0   
nWS_GROUP    db 'WS_GROUP',0   
nWS_TABSTOP    db 'WS_TABSTOP',0   
nWS_MINIMIZEBOX    db 'WS_MINIMIZEBOX',0   
nWS_MAXIMIZEBOX    db 'WS_MAXIMIZEBOX',0   
nWS_ACTIVECAPTION    db 'WS_ACTIVECAPTION',0   
nWS_TILED    db 'WS_TILED',0   
nWS_ICONIC    db 'WS_ICONIC',0   
nWS_SIZEBOX    db 'WS_SIZEBOX',0   
nWS_OVERLAPPEDWINDOW    db 'WS_OVERLAPPEDWINDOW',0   
nWS_TILEDWINDOW    db 'WS_TILEDWINDOW',0   
nWS_POPUPWINDOW    db 'WS_POPUPWINDOW',0   
nWS_CHILDWINDOW    db 'WS_CHILDWINDOW',0   
nWS_EX_DLGMODALFRAME    db 'WS_EX_DLGMODALFRAME',0   
nWS_EX_NOPARENTNOTIFY    db 'WS_EX_NOPARENTNOTIFY',0   
nWS_EX_TOPMOST    db 'WS_EX_TOPMOST',0   
nWS_EX_ACCEPTFILES    db 'WS_EX_ACCEPTFILES',0   
nWS_EX_TRANSPARENT    db 'WS_EX_TRANSPARENT',0   
nWS_EX_MDICHILD    db 'WS_EX_MDICHILD',0   
nWS_EX_TOOLWINDOW    db 'WS_EX_TOOLWINDOW',0   
nWS_EX_WINDOWEDGE    db 'WS_EX_WINDOWEDGE',0   
nWS_EX_CLIENTEDGE    db 'WS_EX_CLIENTEDGE',0   
nWS_EX_CONTEXTHELP    db 'WS_EX_CONTEXTHELP',0   
nWS_EX_RIGHT    db 'WS_EX_RIGHT',0   
nWS_EX_LEFT    db 'WS_EX_LEFT',0   
nWS_EX_RTLREADING    db 'WS_EX_RTLREADING',0   
nWS_EX_LTRREADING    db 'WS_EX_LTRREADING',0   
nWS_EX_LEFTSCROLLBAR    db 'WS_EX_LEFTSCROLLBAR',0   
nWS_EX_RIGHTSCROLLBAR    db 'WS_EX_RIGHTSCROLLBAR',0   
nWS_EX_CONTROLPARENT    db 'WS_EX_CONTROLPARENT',0   
nWS_EX_STATICEDGE    db 'WS_EX_STATICEDGE',0   
nWS_EX_APPWINDOW    db 'WS_EX_APPWINDOW',0   
nWS_EX_OVERLAPPEDWINDOW    db 'WS_EX_OVERLAPPEDWINDOW',0   
nWS_EX_PALETTEWINDOW    db 'WS_EX_PALETTEWINDOW',0   
sbs_start equ $
SbsStyles dd offset nSBS_HORZ,SBS_HORZ, offset dSBS_HORZ
 dd offset nSBS_VERT,SBS_VERT, offset dSBS_VERT
 dd offset nSBS_TOPALIGN,SBS_TOPALIGN, offset dSBS_TOPALIGN
 dd offset nSBS_LEFTALIGN,SBS_LEFTALIGN, offset dSBS_LEFTALIGN
 dd offset nSBS_BOTTOMALIGN,SBS_BOTTOMALIGN, offset dSBS_BOTTOMALIGN
 dd offset nSBS_RIGHTALIGN,SBS_RIGHTALIGN, offset dSBS_RIGHTALIGN
 dd offset nSBS_SIZEBOXTOPLEFTALIGN,SBS_SIZEBOXTOPLEFTALIGN, offset dSBS_SIZEBOXTOPLEFTALIGN
 dd offset nSBS_SIZEBOXBOTTOMRIGHTALIGN,SBS_SIZEBOXBOTTOMRIGHTALIGN, offset dSBS_SIZEBOXBOTTOMRIGHTALIGN
 dd offset nSBS_SIZEBOX,SBS_SIZEBOX, offset dSBS_SIZEBOX
 dd offset nSBS_SIZEGRIP,SBS_SIZEGRIP, offset dSBS_SIZEGRIP
sbs_size equ ($-sbs_start)/12
dSBS_HORZ 	db 'Designates a horizontal scroll bar.',13,10
	db 'If neither the SBS_BOTTOMALIGN nor SBS_TOPALIGN',13,10
	db 'style is specified, the scroll bar has the height,',13,10
	db 'width, and position specified by the parameters of CreateWindow.',0

dSBS_VERT 	db 'Designates a vertical scroll bar.',13,10
	db 'If you specify neither the SBS_RIGHTALIGN',13,10
	db 'nor the SBS_LEFTALIGN style, the scroll bar has',13,10
	db 'the height, width, and position specified by',13,10
	db 'the parameters of CreateWindow.',0

dSBS_TOPALIGN 	db 'Aligns the top edge of the scroll bar with the top edge',13,10
	db 'of the rectangle defined by the parameters of CreateWindow.',13,10
	db 'The scroll bar has the default height for system scroll bars.',13,10
	db 'Use this style with the SBS_HORZ style.',0

dSBS_LEFTALIGN 	db 'Aligns the left edge of the scroll bar with',13,10
	db 'the left edge of the rectangle defined by the',13,10
	db 'parameters of CreateWindow.',13,10
	db 'The scroll bar has the default width for',13,10
	db 'system scroll bars. Use this style with the SBS_VERT style.',0

dSBS_BOTTOMALIGN 	db 'Aligns the bottom edge of the scroll bar',13,10
	db 'with the bottom edge of the rectangle defined',13,10
	db 'by the CreateWindow parameters x, y, nWidth, and nHeight.',13,10
	db 'The scroll bar has the default height for system scroll bars.',13,10
	db 'Use this style with the SBS_HORZ style.',0

dSBS_RIGHTALIGN 	db 'Aligns the right edge of the scroll bar with',13,10
	db 'the right edge of the rectangle defined by',13,10
	db 'the parameters of CreateWindow.',13,10
	db 'The scroll bar has the default width for system scroll bars.',13,10
	db 'Use this style with the SBS_VERT style.',0

dSBS_SIZEBOXTOPLEFTALIGN 	db 'Aligns the upper-left corner of the size box',13,10
	db 'with the upper-left corner of the rectangle specified',13,10
	db 'by the parameters of CreateWindow.',13,10
	db 'The size box has the default size for system size boxes.',13,10
	db 'Use this style with the SBS_SIZEBOX style.',0

dSBS_SIZEBOXBOTTOMRIGHTALIGN 	db 'Aligns the lower-right corner of the size box',13,10
	db 'with the lower-right corner of the rectangle specified',13,10
	db 'by the parameters of CreateWindow.',13,10
	db 'The size box has the default size for system size boxes.',13,10
	db 'Use this style with the SBS_SIZEBOX style.',0

dSBS_SIZEBOX 	db 'Designates a size box. If you specify neither',13,10
	db 'the SBS_SIZEBOXBOTTOMRIGHTALIGN',13,10
	db 'nor the SBS_SIZEBOXTOPLEFTALIGN style,',13,10
	db 'the size box has the height, width, and position specified',13,10
	db 'by the parameters of CreateWindow',0

dSBS_SIZEGRIP 	db 'Windows 95 only:',13,10
	db ' Same as SBS_SIZEBOX, but with a raised edge.',0

nSBS_HORZ    db 'SBS_HORZ',0   
nSBS_VERT    db 'SBS_VERT',0   
nSBS_TOPALIGN    db 'SBS_TOPALIGN',0   
nSBS_LEFTALIGN    db 'SBS_LEFTALIGN',0   
nSBS_BOTTOMALIGN    db 'SBS_BOTTOMALIGN',0   
nSBS_RIGHTALIGN    db 'SBS_RIGHTALIGN',0   
nSBS_SIZEBOXTOPLEFTALIGN    db 'SBS_SIZEBOXTOPLEFTALIGN',0   
nSBS_SIZEBOXBOTTOMRIGHTALIGN    db 'SBS_SIZEBOXBOTTOMRIGHTALIGN',0   
nSBS_SIZEBOX    db 'SBS_SIZEBOX',0   
nSBS_SIZEGRIP    db 'SBS_SIZEGRIP',0   
ss_start equ $
StaticStyles dd offset nSS_LEFT,SS_LEFT, offset dSS_LEFT
 dd offset nSS_CENTER,SS_CENTER, offset dSS_CENTER
 dd offset nSS_RIGHT,SS_RIGHT, offset dSS_RIGHT
 dd offset nSS_ICON,SS_ICON, offset dSS_ICON
 dd offset nSS_BLACKRECT,SS_BLACKRECT, offset dSS_BLACKRECT
 dd offset nSS_GRAYRECT,SS_GRAYRECT, offset dSS_GRAYRECT
 dd offset nSS_WHITERECT,SS_WHITERECT, offset dSS_WHITERECT
 dd offset nSS_BLACKFRAME,SS_BLACKFRAME, offset dSS_BLACKFRAME
 dd offset nSS_GRAYFRAME,SS_GRAYFRAME, offset dSS_GRAYFRAME
 dd offset nSS_WHITEFRAME,SS_WHITEFRAME, offset dSS_WHITEFRAME
 dd offset nSS_USERITEM,SS_USERITEM, offset dSS_USERITEM
 dd offset nSS_SIMPLE,SS_SIMPLE, offset dSS_SIMPLE
 dd offset nSS_LEFTNOWORDWRAP,SS_LEFTNOWORDWRAP, offset dSS_LEFTNOWORDWRAP
 dd offset nSS_NOPREFIX,SS_NOPREFIX, offset dSS_NOPREFIX
 dd offset nSS_OWNERDRAW,SS_OWNERDRAW, offset dSS_OWNERDRAW
 dd offset nSS_BITMAP,SS_BITMAP, offset dSS_BITMAP
 dd offset nSS_ENHMETAFILE,SS_ENHMETAFILE, offset dSS_ENHMETAFILE
 dd offset nSS_ETCHEDHORZ,SS_ETCHEDHORZ, offset dSS_ETCHEDHORZ
 dd offset nSS_ETCHEDVERT,SS_ETCHEDVERT, offset dSS_ETCHEDVERT
 dd offset nSS_ETCHEDFRAME,SS_ETCHEDFRAME, offset dSS_ETCHEDFRAME
 dd offset nSS_TYPEMASK,SS_TYPEMASK, offset dSS_TYPEMASK
 dd offset nSS_NOTIFY,SS_NOTIFY, offset dSS_NOTIFY
 dd offset nSS_CENTERIMAGE,SS_CENTERIMAGE, offset dSS_CENTERIMAGE
 dd offset nSS_RIGHTJUST,SS_RIGHTJUST, offset dSS_RIGHTJUST
 dd offset nSS_REALSIZEIMAGE,SS_REALSIZEIMAGE, offset dSS_REALSIZEIMAGE
 dd offset nSS_SUNKEN,SS_SUNKEN, offset dSS_SUNKEN
 dd offset nSS_ENDELLIPSIS,SS_ENDELLIPSIS, offset dSS_ENDELLIPSIS
 dd offset nSS_PATHELLIPSIS,SS_PATHELLIPSIS, offset dSS_PATHELLIPSIS
 dd offset nSS_WORDELLIPSIS,SS_WORDELLIPSIS, offset dSS_WORDELLIPSIS
 dd offset nSS_ELLIPSISMASK,SS_ELLIPSISMASK, offset dSS_ELLIPSISMASK
ss_size equ ($-ss_start)/12
dSS_LEFT 	db 'Specifies a simple rectangle and left-aligns',13,10
	db 'the given text in the rectangle.',13,10
	db 'The text is formatted before it is displayed.',13,10
	db 'Words that extend past the end of a line are',13,10
	db 'automatically wrapped to the beginning',13,10
	db 'of the next left-aligned line.',0

dSS_CENTER 	db 'Specifies a simple rectangle and centers',13,10
	db 'the given text in the rectangle.',13,10
	db 'The text is formatted before it is displayed.',13,10
	db 'Words that extend past the end of a line are',13,10
	db 'automatically wrapped to the beginning of the next centered line.',0

dSS_RIGHT 	db 'Specifies a simple rectangle and right-aligns',13,10
	db 'the given text in the rectangle.',13,10
	db 'The text is formatted before it is displayed.',13,10
	db 'Words that extend past the end of a line',13,10
	db 'are automatically wrapped to the beginning of the next right-aligned line.',0

dSS_ICON 	db 'Specifies an icon displayed in the dialog box.',13,10
	db 'The given text is the name of an icon (not a filename)',13,10
	db 'defined elsewhere in the resource file.',13,10
	db 'The style ignores the nWidth and nHeight parameters;',13,10
	db 'the icon automatically sizes itself.',0

dSS_BLACKRECT 	db 'Specifies a rectangle filled with the',13,10
	db 'current window frame color.',13,10
	db 'This color is black in the default Windows color scheme.',0

dSS_GRAYRECT 	db 'Specifies a rectangle filled with the current',13,10
	db 'screen background color.',13,10
	db 'This color is gray in the default Windows color scheme.',0

dSS_WHITERECT 	db 'Specifies a rectangle filled with',13,10
	db 'the current window background color.',13,10
	db 'This color is white in the default Windows color scheme.',0

dSS_BLACKFRAME 	db 'Specifies a box with a frame drawn in the same color',13,10
	db 'as the window frames.',13,10
	db 'This color is black in the default Windows color scheme.',0

dSS_GRAYFRAME 	db 'Specifies a box with a frame drawn',13,10
	db 'with the same color as the screen background (desktop).',13,10
	db 'This color is gray in the default Windows color scheme.',0

dSS_WHITEFRAME 	db 'Specifies a box with a frame drawn',13,10
	db 'with the same color as the window backgrounds.',13,10
	db 'This color is white in the default Windows color scheme.',0

dSS_USERITEM  	db 'Specifies a user-defined item.',0


dSS_SIMPLE 	db 'Specifies a simple rectangle and displays',13,10
	db 'a single line of left-aligned text in the rectangle.',13,10
	db 'The text line cannot be shortened or altered in any way.',13,10
	db 'The controls parent window or dialog box',13,10
	db 'must not process the WM_CTLCOLORSTATIC message.',0

dSS_LEFTNOWORDWRAP 	db 'Specifies a simple rectangle and left-aligns',13,10
	db 'the given text in the rectangle.',13,10
	db 'Tabs are expanded but words are not wrapped.',13,10
	db 'Text that extends past the end of a line is clipped.',0

dSS_NOPREFIX 	db 'Prevents interpretation of any ampersand (&)',13,10
	db 'characters in the controls text as accelerator prefix characters.',13,10
	db 'These are displayed with the ampersand removed',13,10
	db 'and the next character in the string underlined.',13,10
	db 'This static control style may be included with',13,10
	db 'any of the defined static controls.',13,10
	db 'An application can combine SS_NOPREFIX',13,10
	db 'with other styles by using the bitwise OR (|) operator.',13,10
	db 'This can be useful when filenames or other strings',13,10
	db 'that may contain an ampersand (&) must be displayed',13,10
	db 'in a static control in a dialog box.',0

dSS_OWNERDRAW 	db 'By using the SS_OWNERDRAW style,',13,10
	db 'an application can take responsibility for painting a static control.',13,10
	db 'The parent window of an owner-drawn static control',13,10
	db '(its owner) receives a WM_DRAWITEM message',13,10
	db 'whenever the static control needs to be painted.',13,10
	db 'The message includes a pointer to a DRAWITEMSTRUCT',13,10
	db 'structure that contains information that the owner window',13,10
	db 'uses when drawing the control.',0


dSS_BITMAP 	db 'Specifies a bitmap is to be displayed in the static control.',13,10
	db 'The given text is the name of a bitmap (not a filename)',13,10
	db 'defined elsewhere in the resource file.',13,10
	db 'The style ignores the nWidth and nHeight parameters;',13,10
	db 'the control automatically sizes itself to accommodate the bitmap.',0

dSS_ENHMETAFILE 	db 'Specifies an enhanced metafile is to be displayed',13,10
	db 'in the static control.',13,10
	db 'The text is the name of a metafile.',13,10
	db 'An enhanced metafile static control has a fixed size;',13,10
	db 'the metafile is scaled to fit the static controls client area.',0

dSS_ETCHEDHORZ 	db 'Draws the top and bottom edges of',13,10
	db 'the static control using the EDGE_ETCHED edge style.',13,10
	db 'For more information, see the DrawEdge function.',0

dSS_ETCHEDVERT 	db 'Draws the left and right edges of the static control',13,10
	db 'using the EDGE_ETCHED edge style.',13,10
	db 'For more information, see the DrawEdge function.',0

dSS_ETCHEDFRAME 	db 'Draws the frame of the static control',13,10
	db 'using the EDGE_ETCHED edge style.',13,10
	db 'For more information, see the DrawEdge function.',0

dSS_TYPEMASK db 0

dSS_NOTIFY 	db 'Sends the parent window STN_CLICKED and STN_DBLCLK',13,10
	db 'notification messages when the user clicks or double clicks the control.',0

dSS_CENTERIMAGE 	db 'Specifies that the midpoint of a static control',13,10
	db 'with the SS_BITMAP or SS_ICON style is to remain fixed',13,10
	db 'when the control is resized.',13,10
	db 'The four sides are adjusted to accommodate a new bitmap or icon.',13,10
	db 'If a static control has the SS_BITMAP style and the bitmap',13,10
	db 'is smaller than the controls client area, the client area',13,10
	db 'is filled with the color of the pixel in the upper-left corner of the bitmap.',13,10
	db 'If a static control has the SS_ICON style, the icon does not appear',13,10
	db 'to paint the client area.',0

dSS_RIGHTJUST 	db 'Specifies that the lower right corner',13,10
	db 'of a static control with the SS_BITMAP or SS_ICON',13,10
	db 'style is to remain fixed when the control is resized.',13,10
	db 'Only the top and left sides are adjusted',13,10
	db 'to accommodate a new bitmap or icon.',0

dSS_REALSIZEIMAGE 	db 'Prevents a static icon or bitmap control',13,10
	db '(that is, static controls that have the SS_ICON or SS_BITMAP style)',13,10
	db 'from being resized as it is loaded or drawn.',13,10
	db 'If the icon or bitmap is larger than the destination area, the image is clipped.',0

dSS_SUNKEN 	db 'Draws a half-sunken border around a static control.',0

dSS_ENDELLIPSIS 	db 'Windows NT/2000: If the end of a string',13,10
	db 'does not fit in the rectangle, it is truncated',13,10
	db 'and ellipses are added.',13,10
	db 'If a word that is not at the end of the string',13,10
	db 'goes beyond the limits of the rectangle,',13,10
	db 'it is truncated without ellipses.',13,10
	db 'Compare with SS_PATHELLIPSIS and SS_WORDELLIPSIS.',0


dSS_PATHELLIPSIS 	db 'Windows 2000: Replaces characters',13,10
	db 'in the middle of the string with ellipses',13,10
	db 'so that the result fits in the specified rectangle.',13,10
	db 'If the string contains backslash (\) characters,',13,10
	db 'SS_PATHELLIPSIS preserves as much as possible',13,10
	db 'of the text after the last backslash.',13,10
	db 'Compare with SS_ENDELLIPSIS and SS_WORDELLIPSIS.',0


dSS_WORDELLIPSIS 	db 'Windows NT/2000: Truncates any word that',13,10
	db 'does not fit in the rectangle and adds ellipses.',13,10
	db 'Compare with SS_ENDELLIPSIS and SS_PATHELLIPSIS.',0


dSS_ELLIPSISMASK db 0

nSS_LEFT    db 'SS_LEFT',0   
nSS_CENTER    db 'SS_CENTER',0   
nSS_RIGHT    db 'SS_RIGHT',0   
nSS_ICON    db 'SS_ICON',0   
nSS_BLACKRECT    db 'SS_BLACKRECT',0   
nSS_GRAYRECT    db 'SS_GRAYRECT',0   
nSS_WHITERECT    db 'SS_WHITERECT',0   
nSS_BLACKFRAME    db 'SS_BLACKFRAME',0   
nSS_GRAYFRAME    db 'SS_GRAYFRAME',0   
nSS_WHITEFRAME    db 'SS_WHITEFRAME',0   
nSS_USERITEM    db 'SS_USERITEM',0   
nSS_SIMPLE    db 'SS_SIMPLE',0   
nSS_LEFTNOWORDWRAP    db 'SS_LEFTNOWORDWRAP',0   
nSS_NOPREFIX    db 'SS_NOPREFIX',0   
nSS_OWNERDRAW    db 'SS_OWNERDRAW',0   
nSS_BITMAP    db 'SS_BITMAP',0   
nSS_ENHMETAFILE    db 'SS_ENHMETAFILE',0   
nSS_ETCHEDHORZ    db 'SS_ETCHEDHORZ',0   
nSS_ETCHEDVERT    db 'SS_ETCHEDVERT',0   
nSS_ETCHEDFRAME    db 'SS_ETCHEDFRAME',0   
nSS_TYPEMASK    db 'SS_TYPEMASK',0   
nSS_NOTIFY    db 'SS_NOTIFY',0   
nSS_CENTERIMAGE    db 'SS_CENTERIMAGE',0   
nSS_RIGHTJUST    db 'SS_RIGHTJUST',0   
nSS_REALSIZEIMAGE    db 'SS_REALSIZEIMAGE',0   
nSS_SUNKEN    db 'SS_SUNKEN',0   
nSS_ENDELLIPSIS    db 'SS_ENDELLIPSIS',0   
nSS_PATHELLIPSIS    db 'SS_PATHELLIPSIS',0   
nSS_WORDELLIPSIS    db 'SS_WORDELLIPSIS',0   
nSS_ELLIPSISMASK    db 'SS_ELLIPSISMASK',0   
es_start equ $
EditStyles dd offset nES_LEFT,ES_LEFT, offset dES_LEFT
 dd offset nES_CENTER,ES_CENTER, offset dES_CENTER
 dd offset nES_RIGHT,ES_RIGHT, offset dES_RIGHT
 dd offset nES_MULTILINE,ES_MULTILINE, offset dES_MULTILINE
 dd offset nES_UPPERCASE,ES_UPPERCASE, offset dES_UPPERCASE
 dd offset nES_LOWERCASE,ES_LOWERCASE, offset dES_LOWERCASE
 dd offset nES_PASSWORD,ES_PASSWORD, offset dES_PASSWORD
 dd offset nES_AUTOVSCROLL,ES_AUTOVSCROLL, offset dES_AUTOVSCROLL
 dd offset nES_AUTOHSCROLL,ES_AUTOHSCROLL, offset dES_AUTOHSCROLL
 dd offset nES_NOHIDESEL,ES_NOHIDESEL, offset dES_NOHIDESEL
 dd offset nES_OEMCONVERT,ES_OEMCONVERT, offset dES_OEMCONVERT
 dd offset nES_READONLY,ES_READONLY, offset dES_READONLY
 dd offset nES_WANTRETURN,ES_WANTRETURN, offset dES_WANTRETURN
 dd offset nES_NUMBER,ES_NUMBER, offset dES_NUMBER
es_size equ ($ - es_start)/12
dES_NUMBER 	db 'Windows 95 only:',13,10
	db 'Allows only digits to be entered into the edit control.',0

nES_NUMBER    db 'ES_NUMBER',0   

dES_LEFT 	db 'Left aligns text.',0

dES_CENTER 	db 'Centers text in a single-line or multiline edit control.',0

dES_RIGHT 	db 'Right aligns text in a single-line or multiline edit control.',0

dES_MULTILINE 	db 'Designates a multiline edit control.',13,10
	db ' The default is single-line edit control.',0

dES_UPPERCASE 	db 'Converts all characters to uppercase as they',13,10
	db 'are typed into the edit control.',0

dES_LOWERCASE 	db 'Converts all characters to lowercase',13,10
	db 'as they are typed into the edit control.',0

dES_PASSWORD 	db 'Displays an asterisk (*) for each character',13,10
	db 'typed into the edit control.',13,10
	db 'You can use the EM_SETPASSWORDCHAR message',13,10
	db 'to change the character that is displayed.',0

dES_AUTOVSCROLL 	db 'Automatically scrolls text up one page when',13,10
	db 'the user presses the ENTER key on the last line.',0

dES_AUTOHSCROLL 	db 'Automatically scrolls text to the right',13,10
	db 'by 10 characters when the user types',13,10
	db 'a character at the end of the line.',13,10
	db 'When the user presses the ENTER key,',13,10
	db 'the control scrolls all text back to position zero',0

dES_NOHIDESEL 	db 'Negates the default behavior for an edit control.',13,10
	db 'The default behavior hides the selection when',13,10
	db 'the control loses the input focus and inverts',13,10
	db 'the selection when the control receives the input focus.',13,10
	db 'If you specify ES_NOHIDESEL, the selected text is inverted,',13,10
	db 'even if the control does not have the focus.',0

dES_OEMCONVERT 	db 'Converts text entered in the edit control.',13,10
	db 'The text is converted from the Windows character',13,10
	db 'set to the OEM character set and then',13,10
	db 'back to the Windows set.',13,10
	db 'This ensures proper character conversion',13,10
	db 'when the application calls the CharToOem',13,10
	db 'function to convert a Windows string in the',13,10
	db 'edit control to OEM characters.',13,10
	db 'This style is most useful for edit controls that contain filenames.',0

dES_READONLY 	db 'Prevents the user from typing or',13,10
	db 'editing text in the edit control.',0

dES_WANTRETURN 	db 'Specifies that a carriage return be',13,10
	db 'inserted when the user presses the ENTER key',13,10
	db 'while entering text into a multiline edit control in a dialog box.',13,10
	db 'If you do not specify this style, pressing the ENTER key',13,10
	db 'has the same effect as pressing the dialog boxs',13,10
	db 'default push button.',13,10
	db 'This style has no effect on a single-line edit control.',0

nES_LEFT    db 'ES_LEFT',0   
nES_CENTER    db 'ES_CENTER',0   
nES_RIGHT    db 'ES_RIGHT',0   
nES_MULTILINE    db 'ES_MULTILINE',0   
nES_UPPERCASE    db 'ES_UPPERCASE',0   
nES_LOWERCASE    db 'ES_LOWERCASE',0   
nES_PASSWORD    db 'ES_PASSWORD',0   
nES_AUTOVSCROLL    db 'ES_AUTOVSCROLL',0   
nES_AUTOHSCROLL    db 'ES_AUTOHSCROLL',0   
nES_NOHIDESEL    db 'ES_NOHIDESEL',0   
nES_OEMCONVERT    db 'ES_OEMCONVERT',0   
nES_READONLY    db 'ES_READONLY',0   
nES_WANTRETURN    db 'ES_WANTRETURN',0   
cbs_start equ $

ComboStyles dd offset nCBS_SIMPLE,CBS_SIMPLE, offset dCBS_SIMPLE
 dd offset nCBS_DROPDOWN,CBS_DROPDOWN, offset dCBS_DROPDOWN
 dd offset nCBS_DROPDOWNLIST,CBS_DROPDOWNLIST, offset dCBS_DROPDOWNLIST
 dd offset nCBS_OWNERDRAWFIXED,CBS_OWNERDRAWFIXED, offset dCBS_OWNERDRAWFIXED
 dd offset nCBS_OWNERDRAWVARIABLE,CBS_OWNERDRAWVARIABLE, offset dCBS_OWNERDRAWVARIABLE
 dd offset nCBS_AUTOHSCROLL,CBS_AUTOHSCROLL, offset dCBS_AUTOHSCROLL
 dd offset nCBS_OEMCONVERT,CBS_OEMCONVERT, offset dCBS_OEMCONVERT
 dd offset nCBS_SORT,CBS_SORT, offset dCBS_SORT
 dd offset nCBS_HASSTRINGS,CBS_HASSTRINGS, offset dCBS_HASSTRINGS
 dd offset nCBS_NOINTEGRALHEIGHT,CBS_NOINTEGRALHEIGHT, offset dCBS_NOINTEGRALHEIGHT
 dd offset nCBS_DISABLENOSCROLL,CBS_DISABLENOSCROLL, offset dCBS_DISABLENOSCROLL
 dd offset nCBS_UPPERCASE,CBS_UPPERCASE, offset dCBS_UPPERCASE
 dd offset nCBS_LOWERCASE,CBS_LOWERCASE, offset dCBS_LOWERCASE
cbs_size equ ($ - cbs_start)/12
dCBS_SIMPLE 	db 'Displays the list box at all times.',13,10
	db 'The current selection in the list box is displayed',13,10
	db 'in the edit control.',0

dCBS_DROPDOWN 	db 'Similar to CBS_SIMPLE, except that the list box',13,10
	db 'is not displayed unless the user selects',13,10
	db 'an icon next to the edit control.',0

dCBS_DROPDOWNLIST	db 'Similar to CBS_DROPDOWN,',13,10
	db 'except that the edit control is replaced by',13,10
	db 'a static text item that displays the current',13,10
	db 'selection in the list box.',0

dCBS_OWNERDRAWFIXED 	db 'Specifies that the owner of the list box',13,10
	db 'is responsible for drawing its contents',13,10
	db 'and that the items in the list box are all',13,10
	db 'the same height.',13,10
	db 'The owner window receives a WM_MEASUREITEM message',13,10
	db 'when the combo box is created and a WM_DRAWITEM',13,10
	db 'message when a visual aspect of the combo box has changed.',0

dCBS_OWNERDRAWVARIABLE 	db 'Specifies that the owner of the list box is responsible',13,10
	db 'for drawing its contents and that the items in',13,10
	db 'the list box are variable in height.',13,10
	db 'The owner window receives a WM_MEASUREITEM',13,10
	db 'message for each item in the combo box when you',13,10
	db 'create the combo box; the owner window receives',13,10
	db 'a WM_DRAWITEM message when a visual aspect',13,10
	db 'of the combo box has changed.',0

dCBS_AUTOHSCROLL 	db 'Automatically scrolls the text in an edit control',13,10
	db 'to the right when the user types a character',13,10
	db 'at the end of the line.',13,10
	db 'If this style is not set, only text that fits',13,10
	db 'within the rectangular boundary is allowed.',0

dCBS_OEMCONVERT 	db 'Converts text entered in the combo box edit control.',13,10
	db 'The text is converted from the Windows character set to',13,10
	db 'the OEM character set and then back to the Windows set.',13,10
	db 'This ensures proper character conversion when the application',13,10
	db 'calls the CharToOem function to convert a Windows string',13,10
	db 'in the combo box to OEM characters.',13,10
	db 'This style is most useful for combo boxes that contain filenames',13,10
	db 'and applies only to combo boxes created',13,10
	db 'with the CBS_SIMPLE or CBS_DROPDOWN style.',0

dCBS_SORT 	db 'Automatically sorts strings entered into the list box.',0

dCBS_HASSTRINGS 	db 'Specifies that an owner-drawn combo box contains',13,10
	db 'items consisting of strings.',13,10
	db 'The combo box maintains the memory and address',13,10
	db 'for the strings, so the application can use the CB_GETLBTEXT',13,10
	db 'message to retrieve the text for a particular item.',0

dCBS_NOINTEGRALHEIGHT 	db 'Specifies that the size of the combo box',13,10
	db 'is exactly the size specified by the application',13,10
	db 'when it created the combo box.',13,10
	db 'Normally, Windows sizes a combo box so that',13,10
	db 'it does not display partial items.',0

dCBS_DISABLENOSCROLL 	db 'Shows a disabled vertical scroll bar',13,10
	db 'in the list box when the box does not contain',13,10
	db 'enough items to scroll.',13,10
	db 'Without this style, the scroll bar is hidden when',13,10
	db 'the list box does not contain enough items.',0

dCBS_UPPERCASE 	db 'Converts to uppercase any lowercase characters',13,10
	db 'entered into the edit control of a combo box.',0

dCBS_LOWERCASE 	db 'Converts to lowercase any uppercase characters',13,10
	db 'entered into the edit control of a combo box.',0

nCBS_SIMPLE    db 'CBS_SIMPLE',0   
nCBS_DROPDOWN    db 'CBS_DROPDOWN',0   
nCBS_DROPDOWNLIST    db 'CBS_DROPDOWNLIST',0   
nCBS_OWNERDRAWFIXED    db 'CBS_OWNERDRAWFIXED',0   
nCBS_OWNERDRAWVARIABLE    db 'CBS_OWNERDRAWVARIABLE',0   
nCBS_AUTOHSCROLL    db 'CBS_AUTOHSCROLL',0   
nCBS_OEMCONVERT    db 'CBS_OEMCONVERT',0   
nCBS_SORT    db 'CBS_SORT',0   
nCBS_HASSTRINGS    db 'CBS_HASSTRINGS',0   
nCBS_NOINTEGRALHEIGHT    db 'CBS_NOINTEGRALHEIGHT',0   
nCBS_DISABLENOSCROLL    db 'CBS_DISABLENOSCROLL',0   
nCBS_UPPERCASE    db 'CBS_UPPERCASE',0   
nCBS_LOWERCASE    db 'CBS_LOWERCASE',0   
bs_start equ $
ButtonStyles dd offset nBS_PUSHBUTTON,BS_PUSHBUTTON, offset dBS_PUSHBUTTON
 dd offset nBS_DEFPUSHBUTTON,BS_DEFPUSHBUTTON, offset dBS_DEFPUSHBUTTON
 dd offset nBS_CHECKBOX,BS_CHECKBOX, offset dBS_CHECKBOX
 dd offset nBS_AUTOCHECKBOX,BS_AUTOCHECKBOX, offset dBS_AUTOCHECKBOX
 dd offset nBS_RADIOBUTTON,BS_RADIOBUTTON, offset dBS_RADIOBUTTON
 dd offset nBS_3STATE,BS_3STATE, offset dBS_3STATE
 dd offset nBS_AUTO3STATE,BS_AUTO3STATE, offset dBS_AUTO3STATE
 dd offset nBS_GROUPBOX,BS_GROUPBOX, offset dBS_GROUPBOX
 dd offset nBS_USERBUTTON,BS_USERBUTTON, offset dBS_USERBUTTON
 dd offset nBS_AUTORADIOBUTTON,BS_AUTORADIOBUTTON, offset dBS_AUTORADIOBUTTON
 dd offset nBS_OWNERDRAW,BS_OWNERDRAW, offset dBS_OWNERDRAW
 dd offset nBS_LEFTTEXT,BS_LEFTTEXT, offset dBS_LEFTTEXT
 dd offset nBS_BITMAP,BS_BITMAP, offset dBS_BITMAP
 dd offset nBS_ICON,BS_ICON, offset dBS_ICON
 dd offset nBS_TEXT,BS_TEXT, offset dBS_TEXT
 dd offset nBS_LEFT,BS_LEFT, offset dBS_LEFT
 dd offset nBS_RIGHT,BS_RIGHT, offset dBS_RIGHT
 dd offset nBS_CENTER,BS_CENTER, offset dBS_CENTER
 dd offset nBS_TOP,BS_TOP, offset dBS_TOP
 dd offset nBS_BOTTOM,BS_BOTTOM, offset dBS_BOTTOM
 dd offset nBS_VCENTER,BS_VCENTER, offset dBS_VCENTER
 dd offset nBS_PUSHLIKE,BS_PUSHLIKE, offset dBS_PUSHLIKE
 dd offset nBS_MULTILINE,BS_MULTILINE, offset dBS_MULTILINE
 dd offset nBS_NOTIFY,BS_NOTIFY, offset dBS_NOTIFY
 dd offset nBS_FLAT,BS_FLAT, offset dBS_FLAT
 dd offset nBS_RIGHTBUTTON,BS_RIGHTBUTTON, offset dBS_RIGHTBUTTON
bs_size equ ($-bs_start)/12

dBS_PUSHBUTTON 	db 'Creates a push button that posts a WM_COMMAND',13,10
	db 'message to the owner window when the user selects the button.',0

dBS_DEFPUSHBUTTON 	db 'Creates a push button that behaves',13,10
	db 'like a BS_PUSHBUTTON style button,',13,10
	db 'but also has a heavy black border.',13,10
	db 'If the button is in a dialog box, the user',13,10
	db 'can select the button by pressing the ENTER key,',13,10
	db 'even when the button does not have the input focus.',13,10
	db 'This style is useful for enabling the user to quickly',13,10
	db 'select the most likely (default) option.',0

dBS_CHECKBOX 	db 'Creates a small, empty check box with text.',13,10
	db 'By default, the text is displayed to the right of',13,10
	db 'the check box. To display the text to the left of',13,10
	db 'the check box, combine this flag with the BS_LEFTTEXT style',13,10
	db '(or on Windows 95 only, with the equivalent BS_RIGHTBUTTON style).',0

dBS_AUTOCHECKBOX 	db 'Creates a button that is the same as a check box,',13,10
	db 'except that the check state automatically toggles',13,10
	db 'between checked and unchecked each time the user',13,10
	db 'selects the check box.',0

dBS_RADIOBUTTON 	db 'Creates a small circle with text.',13,10
	db 'By default, the text is displayed to the right of the circle.',13,10
	db 'To display the text to the left of the circle, combine this flag',13,10
	db 'with the BS_LEFTTEXT style (or on Windows 95 only,',13,10
	db 'with the equivalent BS_RIGHTBUTTON style).',13,10
	db 'Use radio buttons for groups of related, but mutually exclusive choices.',0

dBS_3STATE 	db 'Creates a button that is the same as a check box,',13,10
	db 'except that the box can be grayed as well as checked',13,10
	db 'or unchecked. Use the grayed state to show that the state',13,10
	db 'of the check box is not determined.',0

dBS_AUTO3STATE 	db 'Creates a button that is the same as',13,10
	db 'a three-state check box, except that the box',13,10
	db 'changes its state when the user selects it.',13,10
	db 'The state cycles through checked, grayed, and unchecked.',0

dBS_GROUPBOX 	db 'Creates a rectangle in which other controls',13,10
	db 'can be grouped. Any text associated with this style',13,10
	db 'is displayed in the rectangles upper left corner.',0

dBS_USERBUTTON 	db 'Obsolete, but provided for compatibility',13,10
	db 'with 16-bit versions of Windows.',13,10
	db 'Win32-based applications should use BS_OWNERDRAW instead.',0

dBS_AUTORADIOBUTTON 	db 'Creates a button that is the same as a radio button,',13,10
	db 'except that when the user selects it, Windows automatically',13,10
	db 'sets the buttons check state to checked and automatically',13,10
	db 'sets the check state for all other buttons in the same group to unchecked.',0

dBS_OWNERDRAW 	db 'Creates an owner-drawn button.',13,10
	db 'The owner window receives a WM_MEASUREITEM',13,10
	db 'message when the button is created and',13,10
	db 'a WM_DRAWITEM message when a visual aspect',13,10
	db 'of the button has changed.',13,10
	db 'Do not combine the BS_OWNERDRAW style',13,10
	db 'with any other button styles.',0

dBS_LEFTTEXT 	db 'Places text on the left side of the radio button',13,10
	db 'or check box when combined with a radio button',13,10
	db 'or check box style.',13,10
	db 'Same as the Windows 95 BS_RIGHTBUTTON style.',0


dBS_ICON 	db 'Windows 95 only:',13,10
	db 'Specifies that the button displays an icon.',0

dBS_TEXT 	db 'Windows 95 only:',13,10
	db 'Specifies that the button displays text.',0

dBS_BITMAP 	db 'Windows 95 only:',13,10
	db 'Specifies that the button displays a bitmap.',0

dBS_LEFT 	db 'Windows 95 only:',13,10
	db 'Left-justifies the text in the button rectangle.',13,10
	db 'However, if the button is a check box or radio button',13,10
	db 'that does not have the BS_RIGHTBUTTON style,',13,10
	db 'the text is left justified on the right side of the check box or radio button.',0

dBS_RIGHT 	db 'Windows 95 only:',13,10
	db 'Right-justifies text in the button rectangle.',13,10
	db 'However, if the button is a check box or',13,10
	db 'radio button that does not have the',13,10
	db 'BS_RIGHTBUTTON style, the text is right',13,10
	db 'justified on the right side of the check box or radio button.',0

dBS_CENTER 	db 'Windows 95 only:',13,10
	db 'Centers text horizontally in the button rectangle.',0

dBS_TOP 	db 'Windows 95 only:',13,10
	db 'Places text at the top of the button rectangle.',0

dBS_BOTTOM 	db 'Windows 95 only:',13,10
	db 'Places text at the bottom of the button rectangle.',0

dBS_VCENTER 	db 'Windows 95 only:',13,10
	db 'Places text in the middle (vertically) of the button rectangle.',0

dBS_PUSHLIKE 	db 'Windows 95 only: Makes a button',13,10
	db '(such as a check box, three-state check box, or radio button)',13,10
	db 'look and act like a push button.',13,10
	db 'The button looks raised when it isnt pushed or checked,',13,10
	db 'and sunken when it is pushed or checked.',0

dBS_MULTILINE 	db 'Windows 95 only:',13,10
	db 'Wraps the button text to multiple lines if the text',13,10
	db 'string is too long to fit on a single line in the button rectangle.',0

dBS_NOTIFY 	db 'Windows 95 only:',13,10
	db 'Enables a button to send BN_DBLCLK, BN_KILLFOCUS,',13,10
	db 'and BN_SETFOCUS notification messages to its parent window.',13,10
	db 'Note that buttons send the BN_CLICKED notification message',13,10
	db 'regardless of whether it has this style.',0

dBS_FLAT  	db 'Specifies that the button is two-dimensional;',13,10
	db 'it does not use the default shading to create a 3-D image',0

dBS_RIGHTBUTTON 	db 'Windows 95 only:',13,10
	db 'Positions a radio buttons circle or a check boxs',13,10
	db 'square on the right side of the button rectangle.',13,10
	db 'Same as the BS_LEFTTEXT style.',0

nBS_PUSHBUTTON    db 'BS_PUSHBUTTON',0   
nBS_DEFPUSHBUTTON    db 'BS_DEFPUSHBUTTON',0   
nBS_CHECKBOX    db 'BS_CHECKBOX',0   
nBS_AUTOCHECKBOX    db 'BS_AUTOCHECKBOX',0   
nBS_RADIOBUTTON    db 'BS_RADIOBUTTON',0   
nBS_3STATE    db 'BS_3STATE',0   
nBS_AUTO3STATE    db 'BS_AUTO3STATE',0   
nBS_GROUPBOX    db 'BS_GROUPBOX',0   
nBS_USERBUTTON    db 'BS_USERBUTTON',0   
nBS_AUTORADIOBUTTON    db 'BS_AUTORADIOBUTTON',0   
nBS_OWNERDRAW    db 'BS_OWNERDRAW',0   
nBS_LEFTTEXT    db 'BS_LEFTTEXT',0   
nBS_BITMAP    db 'BS_BITMAP',0     
nBS_TEXT    db 'BS_TEXT',0   
nBS_ICON    db 'BS_ICON',0   
nBS_LEFT    db 'BS_LEFT',0   
nBS_RIGHT    db 'BS_RIGHT',0   
nBS_CENTER    db 'BS_CENTER',0   
nBS_TOP    db 'BS_TOP',0   
nBS_BOTTOM    db 'BS_BOTTOM',0   
nBS_VCENTER    db 'BS_VCENTER',0   
nBS_PUSHLIKE    db 'BS_PUSHLIKE',0   
nBS_MULTILINE    db 'BS_MULTILINE',0   
nBS_NOTIFY    db 'BS_NOTIFY',0   
nBS_FLAT    db 'BS_FLAT',0   
nBS_RIGHTBUTTON    db 'BS_RIGHTBUTTON',0   
acs_start equ $
AviStyles dd offset nACS_CENTER,ACS_CENTER, offset dACS_CENTER
 dd offset nACS_TRANSPARENT,ACS_TRANSPARENT, offset dACS_TRANSPARENT
 dd offset nACS_AUTOPLAY,ACS_AUTOPLAY, offset dACS_AUTOPLAY
 dd offset nACS_TIMER,ACS_TIMER, offset dACS_TIMER
acs_size equ ($-acs_start)/12

dACS_CENTER 	db 'Centers the animation in the animation controls window.',0
dACS_TRANSPARENT 	db 'Allows you to match an animations',13,10
	db 'background color to that of the underlying window,',13,10
	db 'creating a "transparent" background.',13,10
	db 'The control will send a WM_CTLCOLORSTATIC message',13,10
	db 'to its parent.',13,10
	db 'Use SetBkColor to set the background color for the',13,10
	db 'device context to an appropriate value.',13,10
	db 'The control interprets the upper-left pixel of the first frame',13,10
	db 'as the animations default background color.',13,10
	db 'It will remap all pixels with that color to the',13,10
	db 'value you supplied in response to WM_CTLCOLORSTATIC',0

dACS_AUTOPLAY 	db 'Starts playing the animation as soon as the AVI clip is opened.',0

dACS_TIMER 	db 'By default, the control creates a thread to play the AVI clip.',13,10
	db 'If you set this flag, the control plays the clip without',13,10
	db 'creating a thread;',13,10
	db 'internally the control uses a Win32 timer to synchronize playback.',0
nACS_CENTER    db 'ACS_CENTER',0   
nACS_TRANSPARENT    db 'ACS_TRANSPARENT',0   
nACS_AUTOPLAY    db 'ACS_AUTOPLAY',0   
nACS_TIMER    db 'ACS_TIMER',0   
offs equ offset
StatusStyles dd offset nSBARS_SIZEGRIP,SBARS_SIZEGRIP, offs dSBARS_SIZEGRIP
	    dd offset nSBARS_TOOLTIPS,SBARS_TOOLTIPS, offs dSBARS_TOOLTIPS
	    dd offset nSBT_TOOLTIPS,SBT_TOOLTIPS, offs dSBT_TOOLTIPS
stat_size equ 3

dSBARS_SIZEGRIP 	db 'The status bar control will include a sizing grip ',13,10
	db 'at the right end of the status bar.',13,10
	db 'A sizing grip is similar to a sizing border;',13,10
	db 'it is a rectangular area that the user can click',13,10
	db ' and drag to resize the parent window. ',0
dSBARS_TOOLTIPS  	db 'Version 5.80. Identical to SBT_TOOLTIPS.',13,10
	db ' Use this flag for versions 5.00 and later. ',0
dSBT_TOOLTIPS  db 'Version 4.71. Use this style to enable tooltips.',0

nSBARS_SIZEGRIP    db 'SBARS_SIZEGRIP',0   
nSBARS_TOOLTIPS    db 'SBARS_TOOLTIPS',0   
nSBT_TOOLTIPS    db 'SBT_TOOLTIPS',0   
tbs_start equ $
 dd offset nTBSTYLE_BUTTON,TBSTYLE_BUTTON, offs dTBSTYLE_BUTTON
 dd offset nTBSTYLE_SEP,TBSTYLE_SEP, offs dTBSTYLE_SEP
 dd offset nTBSTYLE_CHECK,TBSTYLE_CHECK, offs dTBSTYLE_CHECK
 dd offset nTBSTYLE_GROUP,TBSTYLE_GROUP, offs dTBSTYLE_GROUP
 dd offset nTBSTYLE_CHECKGROUP,TBSTYLE_CHECKGROUP, offs dTBSTYLE_CHECKGROUP
 dd offset nTBSTYLE_AUTOSIZE,TBSTYLE_AUTOSIZE, offs dTBSTYLE_AUTOSIZE
 dd offset nTBSTYLE_TOOLTIPS,TBSTYLE_TOOLTIPS, offs dTBSTYLE_TOOLTIPS
 dd offset nTBSTYLE_WRAPABLE,TBSTYLE_WRAPABLE, offs dTBSTYLE_WRAPABLE
 dd offset nTBSTYLE_ALTDRAG,TBSTYLE_ALTDRAG, offs dTBSTYLE_ALTDRAG
 dd offset nTBSTYLE_FLAT,TBSTYLE_FLAT, offs dTBSTYLE_FLAT
 dd offset nTBSTYLE_LIST,TBSTYLE_LIST, offs dTBSTYLE_LIST
 dd offset nTBSTYLE_CUSTOMERASE,TBSTYLE_CUSTOMERASE, offs dTBSTYLE_CUSTOMERASE
 dd offset nTBSTYLE_REGISTERDROP,TBSTYLE_REGISTERDROP, offs dTBSTYLE_REGISTERDROP
 dd offset nTBSTYLE_TRANSPARENT,TBSTYLE_TRANSPARENT, offs dTBSTYLE_TRANSPARENT
tbs_size equ ($-tbs_start)/12
dTBSTYLE_BUTTON 	db 'Creates a standard button.',0
dTBSTYLE_SEP		db 'Creates a separator, providing a small gap',13,10
	db 'between button groups.',13,10
	db 'A button that has this style does not receive user input. ',0
dTBSTYLE_CHECK 	db 'Creates a dual-state push button that toggles',13,10
	db 'between the pressed and nonpressed states',13,10
	db 'each time the user clicks it.',13,10
	db 'The button has a different background color',13,10
	db 'when it is in the pressed state.',0
dTBSTYLE_GROUP 	db 'When combined with BTNS_CHECK,',13,10
	db 'creates a button that stays pressed until another',13,10
	db 'button in the group is pressed.',0
dTBSTYLE_CHECKGROUP 	db 'Creates a button that stays pressed until another button',13,10
	db 'in the group is pressed, similar to option buttons',13,10
	db '(also known as radio buttons).',13,10
	db 'It is equivalent to combining BTNS_CHECK and BTNS_GROUP',0
dTBSTYLE_AUTOSIZE 	db 'Specifies that the toolbar control should not assign',13,10
	db 'the standard width to the button.',13,10
	db 'Instead, the buttons width will be calculated based',13,10
	db 'on the width of the text plus the image of the button.',0

dTBSTYLE_TOOLTIPS 	db 'Creates a tooltip control that an application can use',13,10
	db 'to display descriptive text for the buttons in the toolbar.',0

dTBSTYLE_WRAPABLE 	db 'Creates a toolbar that can have multiple lines of buttons.',13,10
	db 'Toolbar buttons can "wrap" to the next line when the toolbar',13,10
	db 'becomes too narrow to include all buttons on the same line.',13,10
	db 'When the toolbar is wrapped, the break will occur on either',13,10
	db 'the rightmost separator or the rightmost button if there are',13,10
	db 'no separators on the bar.',13,10
	db 'This style must be set to display a vertical toolbar control',13,10
	db 'when the toolbar is part of a vertical rebar control.',0

dTBSTYLE_ALTDRAG db 'Allows users to change a toolbar buttons position',13,10
	db 'by dragging it while holding down the ALT key.',13,10
	db 'If this style is not specified, the user must hold',13,10
	db 'down the SHIFT key while dragging a button.',13,10
	db 'Note that the CCS_ADJUSTABLE style must be specified',13,10
	db 'to enable toolbar buttons to be dragged.',0

dTBSTYLE_FLAT 	db 'Creates a flat toolbar.',13,10
	db 'In a flat toolbar, both the toolbar and the buttons',13,10
	db 'are transparent and hot-tracking is enabled.',13,10
	db 'Button text appears under button bitmaps.',13,10
	db 'To prevent repainting problems,',13,10
	db 'this style should be set before',13,10
	db 'the toolbar control becomes visible.',0

dTBSTYLE_LIST 	db 'Creates a flat toolbar with button text',13,10
	db 'to the right of the bitmap.',13,10
	db 'Otherwise, this style is identical to TBSTYLE_FLAT.',13,10
	db 'To prevent repainting problems, this style should be set',13,10
	db 'before the toolbar control becomes visible.',13,10,0

dTBSTYLE_CUSTOMERASE 	db 'Generates NM_CUSTOMDRAW notification messages',13,10
	db 'when the toolbar processes WM_ERASEBKGND messages.',0

dTBSTYLE_REGISTERDROP 	db 'Generates TBN_GETOBJECT notification messages',13,10
	db 'to request drop target objects when the cursor',13,10
	db 'passes over toolbar buttons.',0

dTBSTYLE_TRANSPARENT 	db 'Creates a transparent toolbar.',13,10
	db 'In a transparent toolbar, the toolbar is transparent',13,10
	db 'but the buttons are not.',13,10
	db 'Button text appears under button bitmaps.',13,10
	db 'To prevent repainting problems, this style',13,10
	db 'should be set before the toolbar control becomes visible.',0

nTBSTYLE_BUTTON    db 'TBSTYLE_BUTTON',0   
nTBSTYLE_SEP    db 'TBSTYLE_SEP',0   
nTBSTYLE_CHECK    db 'TBSTYLE_CHECK',0   
nTBSTYLE_GROUP    db 'TBSTYLE_GROUP',0   
nTBSTYLE_CHECKGROUP    db 'TBSTYLE_CHECKGROUP',0   
nTBSTYLE_AUTOSIZE    db 'TBSTYLE_AUTOSIZE',0   
nTBSTYLE_TOOLTIPS    db 'TBSTYLE_TOOLTIPS',0   
nTBSTYLE_WRAPABLE    db 'TBSTYLE_WRAPABLE',0   
nTBSTYLE_ALTDRAG    db 'TBSTYLE_ALTDRAG',0   
nTBSTYLE_FLAT    db 'TBSTYLE_FLAT',0   
nTBSTYLE_LIST    db 'TBSTYLE_LIST',0   
nTBSTYLE_CUSTOMERASE    db 'TBSTYLE_CUSTOMERASE',0   
nTBSTYLE_REGISTERDROP    db 'TBSTYLE_REGISTERDROP',0   
nTBSTYLE_TRANSPARENT    db 'TBSTYLE_TRANSPARENT',0   
lvs_start equ $
 dd offset nLVS_ICON,LVS_ICON, offs dLVS_ICON
 dd offset nLVS_REPORT,LVS_REPORT, offs dLVS_REPORT
 dd offset nLVS_SMALLICON,LVS_SMALLICON, offs dLVS_SMALLICON
 dd offset nLVS_LIST,LVS_LIST, offs dLVS_LIST
 dd offset nLVS_TYPEMASK,LVS_TYPEMASK, offs dLVS_TYPEMASK
 dd offset nLVS_SINGLESEL,LVS_SINGLESEL, offs dLVS_SINGLESEL
 dd offset nLVS_SHOWSELALWAYS,LVS_SHOWSELALWAYS, offs dLVS_SHOWSELALWAYS
 dd offset nLVS_SORTASCENDING,LVS_SORTASCENDING, offs dLVS_SORTASCENDING
 dd offset nLVS_SORTDESCENDING,LVS_SORTDESCENDING, offs dLVS_SORTDESCENDING
 dd offset nLVS_SHAREIMAGELISTS,LVS_SHAREIMAGELISTS, offs dLVS_SHAREIMAGELISTS
 dd offset nLVS_NOLABELWRAP,LVS_NOLABELWRAP, offs dLVS_NOLABELWRAP
 dd offset nLVS_AUTOARRANGE,LVS_AUTOARRANGE, offs dLVS_AUTOARRANGE
 dd offset nLVS_EDITLABELS,LVS_EDITLABELS, offs dLVS_EDITLABELS
 dd offset nLVS_NOSCROLL,LVS_NOSCROLL, offs dLVS_NOSCROLL
 dd offset nLVS_TYPESTYLEMASK,LVS_TYPESTYLEMASK, offs dLVS_TYPESTYLEMASK
 dd offset nLVS_ALIGNTOP,LVS_ALIGNTOP, offs dLVS_ALIGNTOP
 dd offset nLVS_ALIGNLEFT,LVS_ALIGNLEFT, offs dLVS_ALIGNLEFT
 dd offset nLVS_ALIGNMASK,LVS_ALIGNMASK, offs dLVS_ALIGNMASK
 dd offset nLVS_OWNERDRAWFIXED,LVS_OWNERDRAWFIXED, offs dLVS_OWNERDRAWFIXED
 dd offset nLVS_NOCOLUMNHEADER,LVS_NOCOLUMNHEADER, offs dLVS_NOCOLUMNHEADER
 dd offset nLVS_NOSORTHEADER,LVS_NOSORTHEADER, offs dLVS_NOSORTHEADER
 dd offset nLVS_OWNERDATA,LVS_OWNERDATA,offs dLVS_OWNERDATA
lvs_size equ ($-lvs_start)/12

dLVS_OWNERDATA  db 'Version 4.70. This style specifies a virtual list view control.',0
dLVS_ICON 	db 'This style specifies icon view.',0
dLVS_REPORT 	db 'This style specifies report view.',13,10
	db 'When using the LVS_REPORT style with a list view control,',13,10
	db 'the first column is always left-aligned.',13,10
	db 'You cannot use LVCFMT_RIGHT to change this alignment.',13,10
	db 'See LVCOLUMN for further information on column alignment. ',0
dLVS_SMALLICON 	db 'This style specifies small icon view.',0
dLVS_LIST 	db 'This style specifies list view. ',0
dLVS_TYPEMASK 	db 'You can use the LVS_TYPEMASK mask to isolate',13,10
	db ' the window styles that correspond to the current view: ',13,10
	db 'LVS_ICON, LVS_LIST, LVS_REPORT, and LVS_SMALLICON.',0
 


dLVS_SINGLESEL 	db 'Only one item at a time can be selected.',13,10
	db 'By default, multiple items may be selected.',0 
dLVS_SHOWSELALWAYS 	db 'The selection, if any, is always shown,',13,10
	db 'even if the control does not have the focus.',0 
dLVS_SORTASCENDING 	db 'Item indexes are sorted based on item text in ascending order',0
dLVS_SORTDESCENDING 	db 'Item indexes are sorted based on item text in descending order.',0
dLVS_SHAREIMAGELISTS 	db 'The image list will not be deleted when the control is destroyed.',13,10
	db 'This style enables the use of the same image ',13,10
	db 'lists with multiple list view controls.',0
 
dLVS_NOLABELWRAP 	db 'Item text is displayed on a single line in icon view.',13,10
	db 'By default, item text may wrap in icon view.',0
 
dLVS_AUTOARRANGE 	db 'Icons are automatically kept arranged in icon',13,10
	db 'and small icon view.',0 
dLVS_EDITLABELS 	db 'Item text can be edited in place.',13,10
	db 'The parent window must process the LVN_ENDLABELEDIT ',13,10
	db 'notification message.',0 
dLVS_NOSCROLL 	db 'Scrolling is disabled.',13,10
	db 'All items must be within the client area.',13,10
	db 'This style is not compatible with the LVS_LIST or LVS_REPORT styles. ',0

dLVS_TYPESTYLEMASK 	db 'You can use the LVS_TYPESTYLEMASK mask',13,10
	db 'to isolate the window styles that control item alignment ',13,10
	db '(LVS_ALIGNLEFT and LVS_ALIGNTOP) ',13,10
	db 'and those that control header appearance and behavior ',13,10
	db '(LVS_NOCOLUMNHEADER and LVS_NOSORTHEADER). ',0

dLVS_ALIGNTOP 	db 'Items are aligned with the top of the list view control ',13,10
	db 'in icon and small icon view',0
dLVS_ALIGNLEFT 	db 'Items are left-aligned in icon and small icon view',0

dLVS_ALIGNMASK 	db 'You can use the LVS_ALIGNMASK mask ',13,10
	db 'to isolate the window styles that specify the alignment of items: ',13,10
	db 'LVS_ALIGNLEFT and LVS_ALIGNTOP.',0
 
dLVS_OWNERDRAWFIXED 	db 'The owner window can paint items in report view.',13,10
	db 'The list view control sends a WM_DRAWITEM message',13,10
	db 'to paint each item;',13,10
	db 'it does not send separate messages for each subitem.',13,10
	db 'The itemData member of the DRAWITEMSTRUCT structure contains',13,10
	db 'the item data for the specified list view item.',0


dLVS_NOCOLUMNHEADER 	db 'Column headers are not displayed in report view.',13,10
	db 'By default, columns have headers in report view.',0
 
dLVS_NOSORTHEADER 	db 'Column headers do not work like buttons.',13,10
	db 'This style can be used if clicking a column header in report view ',13,10
	db 'does not carry out an action, such as sorting.',0 

nLVS_OWNERDATA 	db 'LVS_OWNERDATA',0
nLVS_ICON    db 'LVS_ICON',0   
nLVS_REPORT    db 'LVS_REPORT',0   
nLVS_SMALLICON    db 'LVS_SMALLICON',0   
nLVS_LIST    db 'LVS_LIST',0   
nLVS_TYPEMASK    db 'LVS_TYPEMASK',0   
nLVS_SINGLESEL    db 'LVS_SINGLESEL',0   
nLVS_SHOWSELALWAYS    db 'LVS_SHOWSELALWAYS',0   
nLVS_SORTASCENDING    db 'LVS_SORTASCENDING',0   
nLVS_SORTDESCENDING    db 'LVS_SORTDESCENDING',0   
nLVS_SHAREIMAGELISTS    db 'LVS_SHAREIMAGELISTS',0   
nLVS_NOLABELWRAP    db 'LVS_NOLABELWRAP',0   
nLVS_AUTOARRANGE    db 'LVS_AUTOARRANGE',0   
nLVS_EDITLABELS    db 'LVS_EDITLABELS',0   
nLVS_NOSCROLL    db 'LVS_NOSCROLL',0   
nLVS_TYPESTYLEMASK    db 'LVS_TYPESTYLEMASK',0   
nLVS_ALIGNTOP    db 'LVS_ALIGNTOP',0   
nLVS_ALIGNLEFT    db 'LVS_ALIGNLEFT',0   
nLVS_ALIGNMASK    db 'LVS_ALIGNMASK',0   
nLVS_OWNERDRAWFIXED    db 'LVS_OWNERDRAWFIXED',0   
nLVS_NOCOLUMNHEADER    db 'LVS_NOCOLUMNHEADER',0   
nLVS_NOSORTHEADER    db 'LVS_NOSORTHEADER',0   
tvs_start equ $
 dd offset nTVS_HASBUTTONS,TVS_HASBUTTONS, offs dTVS_HASBUTTONS
 dd offset nTVS_HASLINES,TVS_HASLINES, offs dTVS_HASLINES
 dd offset nTVS_LINESATROOT,TVS_LINESATROOT, offs dTVS_LINESATROOT
 dd offset nTVS_EDITLABELS,TVS_EDITLABELS, offs dTVS_EDITLABELS
 dd offset nTVS_DISABLEDRAGDROP,TVS_DISABLEDRAGDROP, offs dTVS_DISABLEDRAGDROP
 dd offset nTVS_SHOWSELALWAYS,TVS_SHOWSELALWAYS, offs dTVS_SHOWSELALWAYS
tvs_size equ ($ - tvs_start)/12

dTVS_HASBUTTONS 	db 'Displays plus (+) and minus (-) buttons next to parent items.',13,10
	db 'The user clicks the buttons to expand or collapse ',13,10
	db 'a parent items list of child items.',13,10
	db 'To include buttons with items at the root of the tree view, ',13,10
	db 'TVS_LINESATROOT must also be specified.',0
dTVS_HASLINES 	db 'Uses lines to show the hierarchy of items.',0
dTVS_LINESATROOT 	db 'Uses lines to link items at the root of the tree view control.',13,10
	db 'This value is ignored if TVS_HASLINES is not also specified. ',0

dTVS_EDITLABELS 	db 'Allows the user to edit the labels of tree view items.',0
dTVS_DISABLEDRAGDROP 	db 'Prevents the tree view control from sending',13,10
	db 'TVN_BEGINDRAG notification messages.',0
dTVS_SHOWSELALWAYS 	db 'Causes a selected item to remain selected',13,10
	db 'when the tree view control loses focus.',0

nTVS_HASBUTTONS    db 'TVS_HASBUTTONS',0   
nTVS_HASLINES    db 'TVS_HASLINES',0   
nTVS_LINESATROOT    db 'TVS_LINESATROOT',0   
nTVS_EDITLABELS    db 'TVS_EDITLABELS',0   
nTVS_DISABLEDRAGDROP    db 'TVS_DISABLEDRAGDROP',0   
nTVS_SHOWSELALWAYS    db 'TVS_SHOWSELALWAYS',0   

ClassTable struct
nClass dd ?
dClass dd ?
hBmp   dd ?
dSize    dd ?
lpdTable dd ?
cMembers dd ?
ClassTable ends

Classes equ $
;Class real name | Class Display string | hBmp | SizeOf Display string | Offset Description table |
;Count members of Description table. Total 6 DWORDs. 24 bytes.
;shl eax,2 = *4; lea eax,[eax*2][eax] = *3 ;shl eax,1
General ClassTable <0,offset GeneralString,0,sizeof GeneralString,offset ClassStyles,14>
Window ClassTable <0,offset WindowString,0,sizeof WindowString,offset WindowStyles,ws_size>
WindowEx ClassTable <0,offset WindowExString,0,sizeof WindowExString,offset WindowExStyles,ws_ex_size>
ScrollClass ClassTable <offset ScrollClassName,offset ScrollClassString,0,sizeof ScrollClassString,offset SbsStyles,sbs_size>
EditClass ClassTable <offset EditClassName,offset EditClassString,0,sizeof EditClassString,offset EditStyles,es_size>
LbClass ClassTable <offset LbClassName,offset LbClassString,0,sizeof LbClassString,offset LbStyles,16>
ComboClass ClassTable <offset ComboClassName,offset ComboClassString,0,sizeof ComboClassString,offset ComboStyles,cbs_size>
AviClass ClassTable <offset AviClassName,offset AviClassString,0,sizeof AviClassString,offset AviStyles,acs_size>
BtnClass ClassTable <offset BtnClassName,offset BtnClassString,0,sizeof BtnClassString,offset ButtonStyles,bs_size>
StaticClass ClassTable <offset StaticClassName,offset StaticClassString,0,sizeof StaticClassString,offset StaticStyles,ss_size>
StatusClass ClassTable <offset StatusClassName,offset StatusClassString,0,sizeof StatusClassString,offset StatusStyles,stat_size>
ToolBarClass ClassTable <offs ToolBarClassName,offset ToolBarClassString,0,sizeof ToolBarClassString, tbs_start,tbs_size>
ListViewClass ClassTable <offs ListViewClassName,offset ListViewString,0,sizeof ListViewString,lvs_start,lvs_size>
TreeViewClass ClassTable <offs TreeViewName,offset TreeViewString,0,sizeof TreeViewString,tvs_start,tvs_size>

TreeViewName 	db 'SysTreeView32',0
TreeViewString 	db 'TreeView'
ListViewClassName 	db 'SysListView32',0
ListViewString db 	'ListView'
ToolBarClassName db 'ToolbarWindow32',0
ToolBarClassString db 'Tool Bar'
ComboClassString db 'Combo List Box'
ComboClassName db 'COMBOBOX',0
EditClassString db 'Edit Box'
EditClassName db 'Edit',0
StaticClassString db 'Static Controls'
StaticClassName db 'Static',0
ScrollClassString db 'Scroll Bar'
ScrollClassName db 'SCROLL',0
WindowString db 'Window Styles'
WindowExString db 'WindowEx Styles'
GeneralString db 'General Styles'
AviClassName db 'SysAnimate32',0
AviClassString db 'Avi'
BtnClassName db 'Button',0
BtnClassString db 'Button'
LbClassString db 'List Box'
LbClassName db 'ListBox',0
StatusClassString 	db 'Status Bar'
StatusClassName db 'msctls_statusbar32',0